#305 DrJava on Slackware 14.0

v1.0 (example)
closed
nobody
None
5
2014-08-26
2013-09-03
John
No

System Properties:
DrJava Version drjava-20130901-r5756
DrJava Build Time 20130901-2137

drjava.debug.port = 40282
java.runtime.name = Java(TM) SE Runtime Environment
sun.boot.library.path = /usr/lib64/java/jre/lib/amd64
java.vm.version = 23.25-b01
java.vm.vendor = Oracle Corporation
java.vendor.url = http://java.oracle.com/
path.separator = :
java.vm.name = Java HotSpot(TM) 64-Bit Server VM
file.encoding.pkg = sun.io
user.country = US
sun.java.launcher = SUN_STANDARD
sun.os.patch.level = unknown
java.vm.specification.name = Java Virtual Machine Specification
user.dir = <anonymized user.home="">/data/projects/java/DrJava
java.runtime.version = 1.7.0_25-b15
java.awt.graphicsenv = sun.awt.X11GraphicsEnvironment
java.endorsed.dirs = /usr/lib64/java/jre/lib/endorsed
os.arch = amd64
java.io.tmpdir = /tmp
line.separator = "\u000a"
java.vm.specification.vendor = Oracle Corporation
os.name = Linux
sun.jnu.encoding = ISO-8859-1
java.library.path = /usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib
sun.awt.enableExtraMouseButtons = true
java.specification.name = Java Platform API Specification
java.class.version = 51.0
sun.management.compiler = HotSpot 64-Bit Tiered Compilers
os.version = 3.11.0
user.home = <anonymized user.home="">
user.timezone = America/New_York
java.awt.printerjob = sun.print.PSPrinterJob
file.encoding = ISO-8859-1
java.specification.version = 1.7
java.class.path = drjava-stable-20130901-r5756.jar
user.name = <anonymized user.name="">
java.vm.specification.version = 1.7
sun.java.command = drjava-stable-20130901-r5756.jar
java.home = /usr/lib64/java/jre
sun.arch.data.model = 64
user.language = en
java.specification.vendor = Oracle Corporation
awt.toolkit = sun.awt.X11.XToolkit
java.vm.info = mixed mode
java.version = 1.7.0_25
java.ext.dirs = /usr/lib64/java/jre/lib/ext:/usr/java/packages/lib/ext
sun.boot.class.path = /usr/lib64/java/jre/lib/resources.jar:/usr/lib64/java/jre/lib/rt.jar:/usr/lib64/java/jre/lib/sunrsasign.jar:/usr/lib64/java/jre/lib/jsse.jar:/usr/lib64/java/jre/lib/jce.jar:/usr/lib64/java/jre/lib/charsets.jar:/usr/lib64/java/jre/lib/jfr.jar:/usr/lib64/java/jre/classes
java.vendor = Oracle Corporation
file.separator = /
java.vendor.url.bug = http://bugreport.sun.com/bugreport/
sun.font.fontmanager = sun.awt.X11FontManager
sun.io.unicode.encoding = UnicodeLittle
sun.cpu.endian = little
java.rmi.server.hostname = 127.0.0.1
sun.cpu.isalist =

DrJava configuration file
In resource bundle edu.rice.cs.drjava.config.options:
nothing

In shadowed configuration:
browser.file = /usr/lib64/firefox-23.0.1/firefox
javac.location = /usr/lib64/java/lib/tools.jar
all.compiler.versions = true
look.and.feel = javax.swing.plaf.metal.MetalLookAndFeel
key.delete.next = [shift DELETE]
key.delete.previous = [shift BACK_SPACE]
javadoc.api.ref.version = 1.7
quit.prompt = false
window.height = 1004
window.width = 1284
window.x = -2
window.y = -3
window.state = 6
last.dir = <anonymized user.home="">
last.interactions.dir = <anonymized user.home="">/data/projects/java/DrJava/work
fixed.interactions.dir = <anonymized user.home="">/data/projects/java/DrJava/work
tabbedpanes.state = 640 512 700 400
new.version.notification.last = 1378226519973

Used memory: about 94.06 megabytes
Free memory: about 382.50 megabytes
Total memory: about 476.56 megabytes
Total memory can expand to: about 6.91 gigabytes

Number of processors/cores: 4

Compiler Discovery Log:

I have downloaded the current DrJava jar file and started it with
"java -jar drjava-stable-20130901-r5756.jar"
The jar file opens and starts fine. I cannot exit the program with the x in the upper right corner or from the file menu item quit, The system just hangs. I can exit from the help force quit option.
When typing into the interactions menu 1+1 [enter] the system also hangs. The only option is to [ctrl-C] from my command prompt where I started DrJava jar file.
Any suggestions would be appreciated.
Thanks
John

Related

Support Requests: #305

Discussion

  • Hi John,

    Have you set up networking on your Linux box? DrJava requires two JVMs to
    run; they communicate via Java RMI which relies on a TCP/IP networking
    stack. If you have not set up such a stack and made it available to apps
    like DrJava, then it will not run. In addition, some firewalls may inhibit
    communication beween processes running locally on your machine if they use
    TCP/IP.

    Best,

    Corky Cartwright

    On Tue, Sep 3, 2013 at 8:25 PM, John alleytrotter@users.sf.net wrote:


    Status: open
    Created: Tue Sep 03, 2013 06:25 PM UTC by John
    Last Updated: Tue Sep 03, 2013 06:25 PM UTC
    Owner: nobody

    System Properties:
    DrJava Version drjava-20130901-r5756
    DrJava Build Time 20130901-2137

    drjava.debug.port = 40282
    java.runtime.name = Java(TM) SE Runtime Environment
    sun.boot.library.path = /usr/lib64/java/jre/lib/amd64
    java.vm.version = 23.25-b01
    java.vm.vendor = Oracle Corporation
    java.vendor.url = http://java.oracle.com/
    path.separator = :
    java.vm.name = Java HotSpot(TM) 64-Bit Server VM
    file.encoding.pkg = sun.io
    user.country = US
    sun.java.launcher = SUN_STANDARD
    sun.os.patch.level = unknown
    java.vm.specification.name = Java Virtual Machine Specification
    user.dir = /data/projects/java/DrJava
    java.runtime.version = 1.7.0_25-b15
    java.awt.graphicsenv = sun.awt.X11GraphicsEnvironment
    java.endorsed.dirs = /usr/lib64/java/jre/lib/endorsed
    os.arch = amd64
    java.io.tmpdir = /tmp
    line.separator = "\u000a"
    java.vm.specification.vendor = Oracle Corporation
    os.name = Linux
    sun.jnu.encoding = ISO-8859-1
    java.library.path =
    /usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib
    sun.awt.enableExtraMouseButtons = true
    java.specification.name = Java Platform API Specification
    java.class.version = 51.0
    sun.management.compiler = HotSpot 64-Bit Tiered Compilers
    os.version = 3.11.0
    user.home =
    user.timezone = America/New_York
    java.awt.printerjob = sun.print.PSPrinterJob
    file.encoding = ISO-8859-1
    java.specification.version = 1.7
    java.class.path = drjava-stable-20130901-r5756.jar
    user.name =
    java.vm.specification.version = 1.7
    sun.java.command = drjava-stable-20130901-r5756.jar
    java.home = /usr/lib64/java/jre
    sun.arch.data.model = 64
    user.language = en
    java.specification.vendor = Oracle Corporation
    awt.toolkit = sun.awt.X11.XToolkit
    java.vm.info = mixed mode
    java.version = 1.7.0_25
    java.ext.dirs = /usr/lib64/java/jre/lib/ext:/usr/java/packages/lib/ext
    sun.boot.class.path =
    /usr/lib64/java/jre/lib/resources.jar:/usr/lib64/java/jre/lib/rt.jar:/usr/lib64/java/jre/lib/sunrsasign.jar:/usr/lib64/java/jre/lib/jsse.jar:/usr/lib64/java/jre/lib/jce.jar:/usr/lib64/java/jre/lib/charsets.jar:/usr/lib64/java/jre/lib/jfr.jar:/usr/lib64/java/jre/classes
    java.vendor = Oracle Corporation
    file.separator = /
    java.vendor.url.bug = http://bugreport.sun.com/bugreport/
    sun.font.fontmanager = sun.awt.X11FontManager
    sun.io.unicode.encoding = UnicodeLittle
    sun.cpu.endian = little
    java.rmi.server.hostname = 127.0.0.1
    sun.cpu.isalist =

    DrJava configuration file
    In resource bundle edu.rice.cs.drjava.config.options:
    nothing

    In shadowed configuration:
    browser.file = /usr/lib64/firefox-23.0.1/firefox
    javac.location = /usr/lib64/java/lib/tools.jar
    all.compiler.versions = true
    look.and.feel = javax.swing.plaf.metal.MetalLookAndFeel
    key.delete.next = [shift DELETE]
    key.delete.previous = [shift BACK_SPACE]
    javadoc.api.ref.version = 1.7
    quit.prompt = false
    window.height = 1004
    window.width = 1284
    window.x = -2
    window.y = -3
    window.state = 6
    last.dir =
    last.interactions.dir = /data/projects/java/DrJava/work
    fixed.interactions.dir = /data/projects/java/DrJava/work
    tabbedpanes.state = 640 512 700 400
    new.version.notification.last = 1378226519973

    Used memory: about 94.06 megabytes
    Free memory: about 382.50 megabytes
    Total memory: about 476.56 megabytes
    Total memory can expand to: about 6.91 gigabytes

    Number of processors/cores: 4

    Compiler Discovery Log:

    I have downloaded the current DrJava jar file and started it with
    "java -jar drjava-stable-20130901-r5756.jar"
    The jar file opens and starts fine. I cannot exit the program with the x
    in the upper right corner or from the file menu item quit, The system just
    hangs. I can exit from the help force quit option.
    When typing into the interactions menu 1+1 [enter] the system also hangs.
    The only option is to [ctrl-C] from my command prompt where I started
    DrJava jar file.
    Any suggestions would be appreciated.
    Thanks
    John


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/drjava/support-requests/305/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Support Requests: #305

  • John
    John
    2013-09-05

    -----BEGIN PGP SIGNED MESSAGE-----
    Hash: SHA1

    Thanks for the reply Corky
    Stopping my firewall allows DrJava to function
    However not exactly the way I wish to operate on a permanent basis.
    Can you recommend a iptables rule to allow DrJava to function even
    when behind a firewall? Or do you know which port is used by the program?
    Thanks again for you help
    John

    On 09/05/2013 03:25 AM, Robert Cartwright wrote:

    Hi John,

    Have you set up networking on your Linux box? DrJava requires two
    JVMs to run; they communicate via Java RMI which relies on a TCP/IP
    networking stack. If you have not set up such a stack and made it
    available to apps like DrJava, then it will not run. In addition,
    some firewalls may inhibit communication beween processes running
    locally on your machine if they use TCP/IP.

    Best,

    Corky Cartwright

    On Tue, Sep 3, 2013 at 8:25 PM, John alleytrotter@users.sf.net
    wrote:


    *
    [support-requests:#305]http://sourceforge.net/p/drjava/support-requests/305/DrJava
    on Slackware 14.0 *

    Status: open Created: Tue Sep 03, 2013 06:25 PM UTC by John
    Last Updated: Tue Sep 03, 2013 06:25 PM UTC Owner: nobody

    System Properties: DrJava Version drjava-20130901-r5756 DrJava
    Build Time 20130901-2137

    drjava.debug.port = 40282 java.runtime.name = Java(TM) SE Runtime
    Environment sun.boot.library.path =
    /usr/lib64/java/jre/lib/amd64 java.vm.version = 23.25-b01
    java.vm.vendor = Oracle Corporation java.vendor.url =
    http://java.oracle.com/ path.separator = : java.vm.name = Java
    HotSpot(TM) 64-Bit Server VM file.encoding.pkg = sun.io
    user.country = US sun.java.launcher = SUN_STANDARD
    sun.os.patch.level = unknown java.vm.specification.name = Java
    Virtual Machine Specification user.dir =
    /data/projects/java/DrJava java.runtime.version = 1.7.0_25-b15
    java.awt.graphicsenv = sun.awt.X11GraphicsEnvironment
    java.endorsed.dirs = /usr/lib64/java/jre/lib/endorsed os.arch =
    amd64 java.io.tmpdir = /tmp line.separator = "\u000a"
    java.vm.specification.vendor = Oracle Corporation os.name =
    Linux sun.jnu.encoding = ISO-8859-1 java.library.path =
    /usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib
    sun.awt.enableExtraMouseButtons = true java.specification.name =
    Java Platform API Specification java.class.version = 51.0
    sun.management.compiler = HotSpot 64-Bit Tiered Compilers
    os.version = 3.11.0 user.home = user.timezone = America/New_York
    java.awt.printerjob = sun.print.PSPrinterJob file.encoding =
    ISO-8859-1 java.specification.version = 1.7 java.class.path =
    drjava-stable-20130901-r5756.jar user.name =
    java.vm.specification.version = 1.7 sun.java.command =
    drjava-stable-20130901-r5756.jar java.home = /usr/lib64/java/jre
    sun.arch.data.model = 64 user.language = en
    java.specification.vendor = Oracle Corporation awt.toolkit =
    sun.awt.X11.XToolkit java.vm.info = mixed mode java.version =
    1.7.0_25 java.ext.dirs =
    /usr/lib64/java/jre/lib/ext:/usr/java/packages/lib/ext
    sun.boot.class.path =
    /usr/lib64/java/jre/lib/resources.jar:/usr/lib64/java/jre/lib/rt.jar:/usr/lib64/java/jre/lib/sunrsasign.jar:/usr/lib64/java/jre/lib/jsse.jar:/usr/lib64/java/jre/lib/jce.jar:/usr/lib64/java/jre/lib/charsets.jar:/usr/lib64/java/jre/lib/jfr.jar:/usr/lib64/java/jre/classes

    java.vendor = Oracle Corporation
    file.separator = / java.vendor.url.bug =
    http://bugreport.sun.com/bugreport/ sun.font.fontmanager =
    sun.awt.X11FontManager sun.io.unicode.encoding = UnicodeLittle
    sun.cpu.endian = little java.rmi.server.hostname = 127.0.0.1
    sun.cpu.isalist =

    DrJava configuration file In resource bundle
    edu.rice.cs.drjava.config.options: nothing

    In shadowed configuration: browser.file =
    /usr/lib64/firefox-23.0.1/firefox javac.location =
    /usr/lib64/java/lib/tools.jar all.compiler.versions = true
    look.and.feel = javax.swing.plaf.metal.MetalLookAndFeel
    key.delete.next = [shift DELETE] key.delete.previous = [shift
    BACK_SPACE]
    javadoc.api.ref.version = 1.7 quit.prompt = false
    window.height = 1004 window.width = 1284 window.x = -2 window.y =
    -3 window.state = 6 last.dir = last.interactions.dir =
    /data/projects/java/DrJava/work fixed.interactions.dir =
    /data/projects/java/DrJava/work tabbedpanes.state = 640 512 700
    400 new.version.notification.last = 1378226519973

    Used memory: about 94.06 megabytes Free memory: about 382.50
    megabytes Total memory: about 476.56 megabytes Total memory can
    expand to: about 6.91 gigabytes

    Number of processors/cores: 4

    Compiler Discovery Log:

    I have downloaded the current DrJava jar file and started it
    with "java -jar drjava-stable-20130901-r5756.jar" The jar file
    opens and starts fine. I cannot exit the program with the x in
    the upper right corner or from the file menu item quit, The
    system just hangs. I can exit from the help force quit option.
    When typing into the interactions menu 1+1 [enter] the system
    also hangs. The only option is to [ctrl-C] from my command prompt
    where I started DrJava jar file. Any suggestions would be
    appreciated. Thanks John ------------------------------

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/drjava/support-requests/305/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/


    [support-requests:#305] DrJava on Slackware 14.0

    Status: open Created: Tue Sep 03, 2013 06:25 PM UTC by
    John Last Updated: Tue Sep 03, 2013 06:25 PM UTC Owner:
    nobody

    System Properties: DrJava Version drjava-20130901-r5756 DrJava
    Build Time 20130901-2137

    drjava.debug.port = 40282 java.runtime.name = Java(TM) SE Runtime
    Environment sun.boot.library.path = /usr/lib64/java/jre/lib/amd64
    java.vm.version = 23.25-b01 java.vm.vendor = Oracle Corporation
    java.vendor.url = http://java.oracle.com/ path.separator = :
    java.vm.name = Java HotSpot(TM) 64-Bit Server VM file.encoding.pkg
    = sun.io user.country = US sun.java.launcher = SUN_STANDARD
    sun.os.patch.level = unknown java.vm.specification.name = Java
    Virtual Machine Specification user.dir = <anonymized user.home="">/data/projects/java/DrJava java.runtime.version =
    1.7.0_25-b15 java.awt.graphicsenv = sun.awt.X11GraphicsEnvironment
    java.endorsed.dirs = /usr/lib64/java/jre/lib/endorsed os.arch =
    amd64 java.io.tmpdir = /tmp line.separator = "\u000a"
    java.vm.specification.vendor = Oracle Corporation os.name = Linux
    sun.jnu.encoding = ISO-8859-1 java.library.path =
    /usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib
    sun.awt.enableExtraMouseButtons = true java.specification.name =
    Java Platform API Specification java.class.version = 51.0
    sun.management.compiler = HotSpot 64-Bit Tiered Compilers
    os.version = 3.11.0 user.home = <anonymized user.home="">
    user.timezone = America/New_York java.awt.printerjob =
    sun.print.PSPrinterJob file.encoding = ISO-8859-1
    java.specification.version = 1.7 java.class.path =
    drjava-stable-20130901-r5756.jar user.name = <anonymized user.name=""> java.vm.specification.version = 1.7 sun.java.command =
    drjava-stable-20130901-r5756.jar java.home = /usr/lib64/java/jre
    sun.arch.data.model = 64 user.language = en
    java.specification.vendor = Oracle Corporation awt.toolkit =
    sun.awt.X11.XToolkit java.vm.info = mixed mode java.version =
    1.7.0_25 java.ext.dirs =
    /usr/lib64/java/jre/lib/ext:/usr/java/packages/lib/ext
    sun.boot.class.path =
    /usr/lib64/java/jre/lib/resources.jar:/usr/lib64/java/jre/lib/rt.jar:/usr/lib64/java/jre/lib/sunrsasign.jar:/usr/lib64/java/jre/lib/jsse.jar:/usr/lib64/java/jre/lib/jce.jar:/usr/lib64/java/jre/lib/charsets.jar:/usr/lib64/java/jre/lib/jfr.jar:/usr/lib64/java/jre/classes

    java.vendor = Oracle Corporation
    file.separator = / java.vendor.url.bug =
    http://bugreport.sun.com/bugreport/ sun.font.fontmanager =
    sun.awt.X11FontManager sun.io.unicode.encoding = UnicodeLittle
    sun.cpu.endian = little java.rmi.server.hostname = 127.0.0.1
    sun.cpu.isalist =

    DrJava configuration file In resource bundle
    edu.rice.cs.drjava.config.options: nothing

    In shadowed configuration: browser.file =
    /usr/lib64/firefox-23.0.1/firefox javac.location =
    /usr/lib64/java/lib/tools.jar all.compiler.versions = true
    look.and.feel = javax.swing.plaf.metal.MetalLookAndFeel
    key.delete.next = [shift DELETE] key.delete.previous = [shift
    BACK_SPACE]
    javadoc.api.ref.version = 1.7 quit.prompt = false
    window.height = 1004 window.width = 1284 window.x = -2 window.y =
    -3 window.state = 6 last.dir = <anonymized user.home="">
    last.interactions.dir = <anonymized user.home="">/data/projects/java/DrJava/work fixed.interactions.dir =
    <anonymized user.home="">/data/projects/java/DrJava/work
    tabbedpanes.state = 640 512 700 400 new.version.notification.last =
    1378226519973

    Used memory: about 94.06 megabytes Free memory: about 382.50
    megabytes Total memory: about 476.56 megabytes Total memory can
    expand to: about 6.91 gigabytes

    Number of processors/cores: 4

    Compiler Discovery Log:

    I have downloaded the current DrJava jar file and started it with
    "java -jar drjava-stable-20130901-r5756.jar" The jar file opens and
    starts fine. I cannot exit the program with the x in the upper
    right corner or from the file menu item quit, The system just
    hangs. I can exit from the help force quit option. When typing into
    the interactions menu 1+1 [enter] the system also hangs. The only
    option is to [ctrl-C] from my command prompt where I started DrJava
    jar file. Any suggestions would be appreciated. Thanks John


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/drjava/support-requests/305/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v1.4.14 (GNU/Linux)
    Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

    iQIcBAEBAgAGBQJSKIT2AAoJEONdQfniPjoqqQgP/36LfnevLlZDFvE2whjHCI6z
    U4YZWksfXS9xc2JdcbZ2ovzPiLPFlUGkI7t5/dC9u7ICqQMyws4uMFB0NENPgokn
    SlJtWyvrTzFjdogE5DrxJDHx2vmxteEdEpw7/uSiUm3G3ww1XeLkfgM5jNvdhcNU
    ErjT6rZjZHcaP/KfJ/TztFQL9re09KzmDluKqC3yQZFT2bfnmBUweywUtqExnih0
    T4CKDAeDq6NFhe4lyFpZpzCvyx+Ib/wZbsGvgeRKWKPOFsGusDjm3YJTJrHXg7wS
    MiKVYuV4CriyQjF0Mj+/W4J94GkGStHqmVX0y3cgXI6Pr0JHIyj7VLGSgCj89qXu
    oYrRVvOdCP63I5SW52IWYZG6Jz4FdLR+HFu+VpmLeRp4iUKh3rBGBTmu2iCRHjGC
    LwHbrOcATCE8Em090qlbdoa3UcDZhv2TnetvmYfY0xxKTQtvZLu+NujIVWG9Id7A
    PLHZxGI1UPeTCce9l1hVji02L1JR2Q2/978kSTEw6jGxkxYLPygLCtBDuU36qt9H
    IbV32SUh2AOXqrsSo/mFfOdKgnNiYJVKgeY/BCJd0LZO4GKnoOM0tTwbnx2ZmLVy
    obp81bWSX7G5gAFg6QtuT9u5oPn0wRoNk1glZ63r9KX/zw4qj6VWWy9nLuHRkNIW
    PBV6qn9GpNp7cc3FSmO3
    =C3rW
    -----END PGP SIGNATURE-----

     

    Related

    Support Requests: #305

  • Hi John,

    I am not an expert on internet security and generally administer my local
    networks using very high level tools that do not mention iptables.
    (Moreover, my networks are very simple with no static IP addresses.) Most
    firewalls do not cause problems with DrJava. I presume that they assume
    connections from localhost to localhost are safe. So a rule saying "all
    connections from IP address 127.0.0.1 should be allowed" might work.

    -- Corky Cartwright

    On Thu, Sep 5, 2013 at 3:49 PM, John alleytrotter@users.sf.net wrote:

    -----BEGIN PGP SIGNED MESSAGE-----
    Hash: SHA1

    Thanks for the reply Corky
    Stopping my firewall allows DrJava to function
    However not exactly the way I wish to operate on a permanent basis.
    Can you recommend a iptables rule to allow DrJava to function even
    when behind a firewall? Or do you know which port is used by the program?
    Thanks again for you help
    John

    On 09/05/2013 03:25 AM, Robert Cartwright wrote:

    Hi John,

    Have you set up networking on your Linux box? DrJava requires two
    JVMs to run; they communicate via Java RMI which relies on a TCP/IP
    networking stack. If you have not set up such a stack and made it
    available to apps like DrJava, then it will not run. In addition,
    some firewalls may inhibit communication beween processes running
    locally on your machine if they use TCP/IP.

    Best,

    Corky Cartwright

    On Tue, Sep 3, 2013 at 8:25 PM, John alleytrotter@users.sf.net
    wrote:


    *
    [support-requests:#305]http://sourceforge.net/p/drjava/support-requests/305/
    http://sourceforge.net/p/drjava/support-requests/305/DrJava
    on Slackware 14.0 *

    Status: open Created: Tue Sep 03, 2013 06:25 PM UTC by John
    Last Updated: Tue Sep 03, 2013 06:25 PM UTC Owner: nobody

    System Properties: DrJava Version drjava-20130901-r5756 DrJava
    Build Time 20130901-2137

    drjava.debug.port = 40282 java.runtime.name = Java(TM) SE Runtime
    Environment sun.boot.library.path =
    /usr/lib64/java/jre/lib/amd64 java.vm.version = 23.25-b01
    java.vm.vendor = Oracle Corporation java.vendor.url =
    http://java.oracle.com/ path.separator = : java.vm.name = Java
    HotSpot(TM) 64-Bit Server VM file.encoding.pkg = sun.io
    user.country = US sun.java.launcher = SUN_STANDARD
    sun.os.patch.level = unknown java.vm.specification.name = Java
    Virtual Machine Specification user.dir =
    /data/projects/java/DrJava java.runtime.version = 1.7.0_25-b15
    java.awt.graphicsenv = sun.awt.X11GraphicsEnvironment
    java.endorsed.dirs = /usr/lib64/java/jre/lib/endorsed os.arch =
    amd64 java.io.tmpdir = /tmp line.separator = "\u000a"
    java.vm.specification.vendor = Oracle Corporation os.name =
    Linux sun.jnu.encoding = ISO-8859-1 java.library.path =
    /usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib
    sun.awt.enableExtraMouseButtons = true java.specification.name =
    Java Platform API Specification java.class.version = 51.0
    sun.management.compiler = HotSpot 64-Bit Tiered Compilers
    os.version = 3.11.0 user.home = user.timezone = America/New_York
    java.awt.printerjob = sun.print.PSPrinterJob file.encoding =
    ISO-8859-1 java.specification.version = 1.7 java.class.path =
    drjava-stable-20130901-r5756.jar user.name =
    java.vm.specification.version = 1.7 sun.java.command =
    drjava-stable-20130901-r5756.jar java.home = /usr/lib64/java/jre
    sun.arch.data.model = 64 user.language = en
    java.specification.vendor = Oracle Corporation awt.toolkit =
    sun.awt.X11.XToolkit java.vm.info = mixed mode java.version =
    1.7.0_25 java.ext.dirs =
    /usr/lib64/java/jre/lib/ext:/usr/java/packages/lib/ext
    sun.boot.class.path =

    /usr/lib64/java/jre/lib/resources.jar:/usr/lib64/java/jre/lib/rt.jar:/usr/lib64/java/jre/lib/sunrsasign.jar:/usr/lib64/java/jre/lib/jsse.jar:/usr/lib64/java/jre/lib/jce.jar:/usr/lib64/java/jre/lib/charsets.jar:/usr/lib64/java/jre/lib/jfr.jar:/usr/lib64/java/jre/classes

    java.vendor = Oracle Corporation
    file.separator = / java.vendor.url.bug =
    http://bugreport.sun.com/bugreport/ sun.font.fontmanager =
    sun.awt.X11FontManager sun.io.unicode.encoding = UnicodeLittle
    sun.cpu.endian = little java.rmi.server.hostname = 127.0.0.1
    sun.cpu.isalist =

    DrJava configuration file In resource bundle
    edu.rice.cs.drjava.config.options: nothing

    In shadowed configuration: browser.file =
    /usr/lib64/firefox-23.0.1/firefox javac.location =
    /usr/lib64/java/lib/tools.jar all.compiler.versions = true
    look.and.feel = javax.swing.plaf.metal.MetalLookAndFeel
    key.delete.next = [shift DELETE] key.delete.previous = [shift
    BACK_SPACE]
    javadoc.api.ref.version = 1.7 quit.prompt = false
    window.height = 1004 window.width = 1284 window.x = -2 window.y =
    -3 window.state = 6 last.dir = last.interactions.dir =
    /data/projects/java/DrJava/work fixed.interactions.dir =
    /data/projects/java/DrJava/work tabbedpanes.state = 640 512 700
    400 new.version.notification.last = 1378226519973

    Used memory: about 94.06 megabytes Free memory: about 382.50
    megabytes Total memory: about 476.56 megabytes Total memory can
    expand to: about 6.91 gigabytes

    Number of processors/cores: 4

    Compiler Discovery Log:

    I have downloaded the current DrJava jar file and started it
    with "java -jar drjava-stable-20130901-r5756.jar" The jar file
    opens and starts fine. I cannot exit the program with the x in
    the upper right corner or from the file menu item quit, The
    system just hangs. I can exit from the help force quit option.
    When typing into the interactions menu 1+1 [enter] the system
    also hangs. The only option is to [ctrl-C] from my command prompt
    where I started DrJava jar file. Any suggestions would be
    appreciated. Thanks John ------------------------------

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/drjava/support-requests/305/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/


    Status: open Created: Tue Sep 03, 2013 06:25 PM UTC by
    John Last Updated: Tue Sep 03, 2013 06:25 PM UTC Owner:
    nobody

    System Properties: DrJava Version drjava-20130901-r5756 DrJava
    Build Time 20130901-2137

    drjava.debug.port = 40282 java.runtime.name = Java(TM) SE Runtime
    Environment sun.boot.library.path = /usr/lib64/java/jre/lib/amd64
    java.vm.version = 23.25-b01 java.vm.vendor = Oracle Corporation
    java.vendor.url = http://java.oracle.com/ path.separator = :
    java.vm.name = Java HotSpot(TM) 64-Bit Server VM file.encoding.pkg
    = sun.io user.country = US sun.java.launcher = SUN_STANDARD
    sun.os.patch.level = unknown java.vm.specification.name = Java
    Virtual Machine Specification user.dir = /data/projects/java/DrJava
    java.runtime.version =
    1.7.0_25-b15 java.awt.graphicsenv = sun.awt.X11GraphicsEnvironment
    java.endorsed.dirs = /usr/lib64/java/jre/lib/endorsed os.arch =
    amd64 java.io.tmpdir = /tmp line.separator = "\u000a"
    java.vm.specification.vendor = Oracle Corporation os.name = Linux
    sun.jnu.encoding = ISO-8859-1 java.library.path =
    /usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib
    sun.awt.enableExtraMouseButtons = true java.specification.name =
    Java Platform API Specification java.class.version = 51.0
    sun.management.compiler = HotSpot 64-Bit Tiered Compilers
    os.version = 3.11.0 user.home =
    user.timezone = America/New_York java.awt.printerjob =
    sun.print.PSPrinterJob file.encoding = ISO-8859-1
    java.specification.version = 1.7 java.class.path =
    drjava-stable-20130901-r5756.jar user.name =
    java.vm.specification.version = 1.7 sun.java.command =
    drjava-stable-20130901-r5756.jar java.home = /usr/lib64/java/jre
    sun.arch.data.model = 64 user.language = en
    java.specification.vendor = Oracle Corporation awt.toolkit =
    sun.awt.X11.XToolkit java.vm.info = mixed mode java.version =
    1.7.0_25 java.ext.dirs =
    /usr/lib64/java/jre/lib/ext:/usr/java/packages/lib/ext
    sun.boot.class.path =

    /usr/lib64/java/jre/lib/resources.jar:/usr/lib64/java/jre/lib/rt.jar:/usr/lib64/java/jre/lib/sunrsasign.jar:/usr/lib64/java/jre/lib/jsse.jar:/usr/lib64/java/jre/lib/jce.jar:/usr/lib64/java/jre/lib/charsets.jar:/usr/lib64/java/jre/lib/jfr.jar:/usr/lib64/java/jre/classes

    java.vendor = Oracle Corporation
    file.separator = / java.vendor.url.bug =
    http://bugreport.sun.com/bugreport/ sun.font.fontmanager =
    sun.awt.X11FontManager sun.io.unicode.encoding = UnicodeLittle
    sun.cpu.endian = little java.rmi.server.hostname = 127.0.0.1
    sun.cpu.isalist =

    DrJava configuration file In resource bundle
    edu.rice.cs.drjava.config.options: nothing

    In shadowed configuration: browser.file =
    /usr/lib64/firefox-23.0.1/firefox javac.location =
    /usr/lib64/java/lib/tools.jar all.compiler.versions = true
    look.and.feel = javax.swing.plaf.metal.MetalLookAndFeel
    key.delete.next = [shift DELETE] key.delete.previous = [shift
    BACK_SPACE]
    javadoc.api.ref.version = 1.7 quit.prompt = false
    window.height = 1004 window.width = 1284 window.x = -2 window.y =
    -3 window.state = 6 last.dir =
    last.interactions.dir = /data/projects/java/DrJava/work
    fixed.interactions.dir =
    /data/projects/java/DrJava/work
    tabbedpanes.state = 640 512 700 400 new.version.notification.last =
    1378226519973

    Used memory: about 94.06 megabytes Free memory: about 382.50
    megabytes Total memory: about 476.56 megabytes Total memory can
    expand to: about 6.91 gigabytes

    Number of processors/cores: 4

    Compiler Discovery Log:

    I have downloaded the current DrJava jar file and started it with
    "java -jar drjava-stable-20130901-r5756.jar" The jar file opens and
    starts fine. I cannot exit the program with the x in the upper
    right corner or from the file menu item quit, The system just
    hangs. I can exit from the help force quit option. When typing into
    the interactions menu 1+1 [enter] the system also hangs. The only
    option is to [ctrl-C] from my command prompt where I started DrJava
    jar file. Any suggestions would be appreciated. Thanks John


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/drjava/support-requests/305/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

    -----BEGIN PGP SIGNATURE-----
    Version: GnuPG v1.4.14 (GNU/Linux)
    Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

    iQIcBAEBAgAGBQJSKIT2AAoJEONdQfniPjoqqQgP/36LfnevLlZDFvE2whjHCI6z
    U4YZWksfXS9xc2JdcbZ2ovzPiLPFlUGkI7t5/dC9u7ICqQMyws4uMFB0NENPgokn
    SlJtWyvrTzFjdogE5DrxJDHx2vmxteEdEpw7/uSiUm3G3ww1XeLkfgM5jNvdhcNU
    ErjT6rZjZHcaP/KfJ/TztFQL9re09KzmDluKqC3yQZFT2bfnmBUweywUtqExnih0
    T4CKDAeDq6NFhe4lyFpZpzCvyx+Ib/wZbsGvgeRKWKPOFsGusDjm3YJTJrHXg7wS
    MiKVYuV4CriyQjF0Mj+/W4J94GkGStHqmVX0y3cgXI6Pr0JHIyj7VLGSgCj89qXu
    oYrRVvOdCP63I5SW52IWYZG6Jz4FdLR+HFu+VpmLeRp4iUKh3rBGBTmu2iCRHjGC
    LwHbrOcATCE8Em090qlbdoa3UcDZhv2TnetvmYfY0xxKTQtvZLu+NujIVWG9Id7A
    PLHZxGI1UPeTCce9l1hVji02L1JR2Q2/978kSTEw6jGxkxYLPygLCtBDuU36qt9H
    IbV32SUh2AOXqrsSo/mFfOdKgnNiYJVKgeY/BCJd0LZO4GKnoOM0tTwbnx2ZmLVy
    obp81bWSX7G5gAFg6QtuT9u5oPn0wRoNk1glZ63r9KX/zw4qj6VWWy9nLuHRkNIW
    PBV6qn9GpNp7cc3FSmO3
    =C3rW
    -----END PGP SIGNATURE-----
    ------------------------------

    Status: open
    Created: Tue Sep 03, 2013 06:25 PM UTC by John
    Last Updated: Tue Sep 03, 2013 06:25 PM UTC
    Owner: nobody

    System Properties:
    DrJava Version drjava-20130901-r5756
    DrJava Build Time 20130901-2137

    drjava.debug.port = 40282
    java.runtime.name = Java(TM) SE Runtime Environment
    sun.boot.library.path = /usr/lib64/java/jre/lib/amd64
    java.vm.version = 23.25-b01
    java.vm.vendor = Oracle Corporation
    java.vendor.url = http://java.oracle.com/
    path.separator = :
    java.vm.name = Java HotSpot(TM) 64-Bit Server VM
    file.encoding.pkg = sun.io
    user.country = US
    sun.java.launcher = SUN_STANDARD
    sun.os.patch.level = unknown
    java.vm.specification.name = Java Virtual Machine Specification
    user.dir = /data/projects/java/DrJava
    java.runtime.version = 1.7.0_25-b15
    java.awt.graphicsenv = sun.awt.X11GraphicsEnvironment
    java.endorsed.dirs = /usr/lib64/java/jre/lib/endorsed
    os.arch = amd64
    java.io.tmpdir = /tmp
    line.separator = "\u000a"
    java.vm.specification.vendor = Oracle Corporation
    os.name = Linux
    sun.jnu.encoding = ISO-8859-1
    java.library.path =
    /usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib
    sun.awt.enableExtraMouseButtons = true
    java.specification.name = Java Platform API Specification
    java.class.version = 51.0
    sun.management.compiler = HotSpot 64-Bit Tiered Compilers
    os.version = 3.11.0
    user.home =
    user.timezone = America/New_York
    java.awt.printerjob = sun.print.PSPrinterJob
    file.encoding = ISO-8859-1
    java.specification.version = 1.7
    java.class.path = drjava-stable-20130901-r5756.jar
    user.name =
    java.vm.specification.version = 1.7
    sun.java.command = drjava-stable-20130901-r5756.jar
    java.home = /usr/lib64/java/jre
    sun.arch.data.model = 64
    user.language = en
    java.specification.vendor = Oracle Corporation
    awt.toolkit = sun.awt.X11.XToolkit
    java.vm.info = mixed mode
    java.version = 1.7.0_25
    java.ext.dirs = /usr/lib64/java/jre/lib/ext:/usr/java/packages/lib/ext
    sun.boot.class.path =
    /usr/lib64/java/jre/lib/resources.jar:/usr/lib64/java/jre/lib/rt.jar:/usr/lib64/java/jre/lib/sunrsasign.jar:/usr/lib64/java/jre/lib/jsse.jar:/usr/lib64/java/jre/lib/jce.jar:/usr/lib64/java/jre/lib/charsets.jar:/usr/lib64/java/jre/lib/jfr.jar:/usr/lib64/java/jre/classes
    java.vendor = Oracle Corporation
    file.separator = /
    java.vendor.url.bug = http://bugreport.sun.com/bugreport/
    sun.font.fontmanager = sun.awt.X11FontManager
    sun.io.unicode.encoding = UnicodeLittle
    sun.cpu.endian = little
    java.rmi.server.hostname = 127.0.0.1
    sun.cpu.isalist =

    DrJava configuration file
    In resource bundle edu.rice.cs.drjava.config.options:
    nothing

    In shadowed configuration:
    browser.file = /usr/lib64/firefox-23.0.1/firefox
    javac.location = /usr/lib64/java/lib/tools.jar
    all.compiler.versions = true
    look.and.feel = javax.swing.plaf.metal.MetalLookAndFeel
    key.delete.next = [shift DELETE]
    key.delete.previous = [shift BACK_SPACE]
    javadoc.api.ref.version = 1.7
    quit.prompt = false
    window.height = 1004
    window.width = 1284
    window.x = -2
    window.y = -3
    window.state = 6
    last.dir =
    last.interactions.dir = /data/projects/java/DrJava/work
    fixed.interactions.dir = /data/projects/java/DrJava/work
    tabbedpanes.state = 640 512 700 400
    new.version.notification.last = 1378226519973

    Used memory: about 94.06 megabytes
    Free memory: about 382.50 megabytes
    Total memory: about 476.56 megabytes
    Total memory can expand to: about 6.91 gigabytes

    Number of processors/cores: 4

    Compiler Discovery Log:

    I have downloaded the current DrJava jar file and started it with
    "java -jar drjava-stable-20130901-r5756.jar"
    The jar file opens and starts fine. I cannot exit the program with the x
    in the upper right corner or from the file menu item quit, The system just
    hangs. I can exit from the help force quit option.
    When typing into the interactions menu 1+1 [enter] the system also hangs.
    The only option is to [ctrl-C] from my command prompt where I started
    DrJava jar file.
    Any suggestions would be appreciated.
    Thanks
    John


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/drjava/support-requests/305/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Support Requests: #305

  • John
    John
    2013-09-07

    Corky
    You were right a simple line in rc.firewall did the trick. For some
    reason I had previously commented out this line. Anyway it's fixed now.
    Allow all on localhost interface
    [CODE]
    $IPT -A INPUT -p ALL -i $LO_IFACE -j ACCEPT
    [/CODE]
    Thought I would post it in this email in case anyone else ran into the
    same problem

    Cheers
    John

     
    Last edit: John 2013-09-07
    • status: open --> closed